ExtUtils::Builder::Action::Code(3pm)

NAME
ExtUtils::Builder::Action::Code - Action objects for perl code

VERSION
version 0.020

SYNOPSIS
 my $action = ExtUtils::Builder::Action::Code->new(
     code      => 'Frob::nicate(@_)',
     modules   => ['Frob'],
     message   => 'frobnicateing foo',
 );
 $action->execute(target => 'bar');
 say "Executed: ", join ' ', @$_, target => 'bar' for $action->to_command;

DESCRIPTION
This is a primitive action object wrapping a piece of perl code. The easiest way to use it is to execute it immediately. For more information on using actions, see ExtUtils::Builder::Action. The core attributes are code and serialized, though only one of them must be given, both is strongly recommended.

ATTRIBUTES

  code
This is a code-ref containing the action. On execution, it is passed the arguments of the execute method; when run as command it is passed @ARGV. In either case, "arguments" is also passed. Of not given, it is "eval"ed from "serialized".

  modules
This is an optional list of modules that will be dynamically loaded before the action is run in any way. This attribute is optional.

AUTHOR
Leon Timmermans <fawaka@gmail.com>

COPYRIGHT AND LICENSE
This software is copyright (c) 2013 by Leon Timmermans.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.